Skip to content

Get 'Inspectionerrandprotocolsetting'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/inspections/configurations/inspectionerrandprotocolsetting/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/inspections/configurations/inspectionerrandprotocolsetting/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
show_faultsbooleanrequired
namestring, <= 255 charactersrequired
show_faults_descriptionsbooleanrequired
show_tenant_associationsbooleanrequired
show_space_infobooleanrequired
show_checklistsbooleanrequired
show_notes_imagesbooleanrequired
show_nominal_componentsbooleanrequired
show_notesbooleanrequired
show_responsible_partiesbooleanrequired
show_component_conditionsbooleanrequired
show_faults_imagesbooleanrequired
show_faults_action_proposalsbooleanrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

show_performersbooleanrequired
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
created_atstring, (date-time)read-only
include_attachmentobject or null
Response
{ "show_faults": true, "name": "string", "show_faults_descriptions": true, "custom_id": "string", "show_logo": { "name": "string", "md5_hash": "string", "get": "string", "post": {} }, "show_tenant_associations": true, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "show_space_info": true, "created_at": "2019-08-24T14:15:22Z", "include_attachment": { "name": "string", "md5_hash": "string", "get": "string", "post": {} }, "show_checklists": true, "show_notes_images": true, "show_nominal_components": true, "show_notes": true, "show_responsible_parties": true, "show_component_conditions": true, "show_faults_images": true, "show_faults_action_proposals": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "show_performers": true }